summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd')
-rw-r--r--app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd
new file mode 100644
index 000000000000..c59bc87974c1
--- /dev/null
+++ b/app-misc/lcd-stuff/files/lcd-stuff-0.1.2-r1.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+PIDFILE=/var/run/${SVCNAME}.pid
+
+depend() {
+ use LCDd
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ start-stop-daemon --start --background --pidfile ${PIDFILE} --make-pidfile --exec \
+ /usr/bin/lcd-stuff -- -f 1 -s 1 -r "${REPORTLEVEL}" -a "${ADDRESS}" -p "${TCPPORT}" -c "${CONFIGFILE}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile ${PIDFILE} --name "lcd-stuff"
+ eend $?
+}